Debian Bug report logs - #601670
debootstrap script install base-files and base-passwd depends on them in Packages file's sequence

version graph

Package: debootstrap; Maintainer for debootstrap is Debian Install System Team <debian-boot@lists.debian.org>; Source for debootstrap is src:debootstrap.

Reported by: Qin Bo <kinboster@gmail.com>

Date: Thu, 28 Oct 2010 10:03:01 UTC

Severity: important

Tags: patch

Found in version debootstrap/1.0.10lenny1

Fixed in version debootstrap/1.0.56

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kinboster@gmail.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#601670; Package debootstrap. (Thu, 28 Oct 2010 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Qin Bo <kinboster@gmail.com>:
New Bug report received and forwarded. Copy sent to kinboster@gmail.com, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 28 Oct 2010 10:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Qin Bo <kinboster@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debootstrap script install base-files and base-passwd depends on them in Packages file's sequence
Date: Thu, 28 Oct 2010 18:00:15 +0800
Package: debootstrap
Version: 1.0.10lenny1
Severity: important
Tags: patch

Submitted By: Qin Bo <kinboster@gmail.com>
Date:   2010-10-28
Initial Package Version: 1.0.25
Description:
  Adjust debfor function's internal logic. Change sequnce of read pkg from debpaths and 
read the debfor argument.
  Original logic read the deb path first, then match package, in this way, when runing "in_target 
dpkg --force-depends --install $(debfor "base-files base-passwd")", in debian-installer, run it 
whether is success, will depends the sequence of base-files section and base-passwd section in 
Packages: if section of base-files package is before section of base-passwd package, it will install 
success, if section of base-file package is after section of base-passwd package, it will install failure. 
  Code "$(debfor "base-files base-passwd")", expect install base-files first, but if in Packages
base-passwd's section is after base-files's section, will install base-passwd first, this is obviously not 
what we want. In addition the sequence of the debfor result depend on external Packages file, I think it's 
hard to control.
  Based on above, I change it, read the debfor argument first, then against argument match the deb path, 
this mean against the sequence of debfor argument, to find the deb path in debpaths.

--- debootstrap/debootstrap-1.0.25/functions	2010-09-19 21:34:49.000000000 -0400
+++ debootstrap.new/debootstrap-1.0.25/functions	2010-10-28 12:10:20.000000000 -0400
@@ -392,12 +392,12 @@ download_indices () {
 }
 
 debfor () {
-	(while read pkg path; do
-		for p in "$@"; do
+	(for p in "$@"; do
+		while read pkg path; do
 			[ "$p" = "$pkg" ] || continue;
 			echo "$path"
-		done
-	 done <"$TARGET/debootstrap/debpaths"
+	 	done <"$TARGET/debootstrap/debpaths"
+	 done
 	)
 }
 

-- System Information:
Debian Release: 5.0.6
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=zh_CN.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debootstrap depends on:
ii  binutils            2.18.1~cvs20080103-7 The GNU assembler, linker and bina
ii  wget                1.11.4-2+lenny2      retrieves files from the web

debootstrap recommends no packages.

debootstrap suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#601670; Package debootstrap. (Mon, 08 Aug 2011 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Valdemar Mørch <peter@morch.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 08 Aug 2011 07:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 601670@bugs.debian.org (full text, mbox):

From: Peter Valdemar Mørch <peter@morch.com>
To: 601670@bugs.debian.org
Subject: Mentioned this bug and suggest applying patch when modifying CDs..
Date: Mon, 8 Aug 2011 09:38:07 +0200
[Message part 1 (text/plain, inline)]
I've mentioned this bug and suggest applying patch to debootstrap*.udeb when
modifying CDs in
http://wiki.debian.org/DebianInstaller/Modify/CD#Workaround_bug_in_deboostrap

When this gets fixed, perhaps that wiki page needs a mention of what release
the fix will show up in, so the wiki page doesn't get bitrot.

Peter
-- 
Peter Valdemar Mørch
http://www.morch.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#601670; Package debootstrap. (Sat, 27 Oct 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fernando Toledo <ftoledo@docksud.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 27 Oct 2012 00:24:04 GMT) Full text and rfc822 format available.

Message #15 received at 601670@bugs.debian.org (full text, mbox):

From: Fernando Toledo <ftoledo@docksud.com.ar>
To: 601670@bugs.debian.org
Subject: workaround work
Date: Fri, 26 Oct 2012 21:11:58 -0300
this issue is still in 1.0.42

i'm aply this workaround and working for my

thanks!

-- 
Fernando Toledo
Dock Sud BBS
http://bbs.docksud.com.ar
telnet://bbs.docksud.com.ar



Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 30 Dec 2013 07:21:05 GMT) Full text and rfc822 format available.

Notification sent to Qin Bo <kinboster@gmail.com>:
Bug acknowledged by developer. (Mon, 30 Dec 2013 07:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 601670-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 601670-close@bugs.debian.org
Subject: Bug#601670: fixed in debootstrap 1.0.56
Date: Mon, 30 Dec 2013 07:18:30 +0000
Source: debootstrap
Source-Version: 1.0.56

We believe that the bug you reported is fixed in the latest version of
debootstrap, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 601670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated debootstrap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Dec 2013 08:00:41 +0100
Source: debootstrap
Binary: debootstrap debootstrap-udeb
Architecture: source all
Version: 1.0.56
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 debootstrap - Bootstrap a basic Debian system
 debootstrap-udeb - Bootstrap the Debian system (udeb)
Closes: 601670
Changes: 
 debootstrap (1.0.56) unstable; urgency=low
 .
   [ Tollef Fog Heen ]
   * Install base-passwd and base-files in two calls rather than one to
     avoid problems with home-built media with different ordering in
     Packages.  Thanks to Jo Shields for pointing this out and providing
     the workaround.  Closes: #601670.  LP: #1001131.
 .
   [ Joey Hess ]
   * When deboostrapping Debian, and the debian-archive-keyring is not
     available, switch the default mirror to a https url. This way at
     least the CA level of security is available even for users who
     have no way to check gpg keys in the WoT. The https mirror is
     currently https://mirrors.kernel.org/debian.
   * Avoid writing https urls into sources.list, as apt does not support https.
Checksums-Sha1: 
 8c4315a0e0ae26285b3857178d44640c5677b317 1798 debootstrap_1.0.56.dsc
 fdb8ae5993bc12e16c6d28d04e76cf669783e6df 59501 debootstrap_1.0.56.tar.gz
 49060de297c5db105042ae8b40527618c0d86272 55980 debootstrap_1.0.56_all.deb
 a7ee8ef60e177a63f69f7247d1186c98aa306217 18050 debootstrap-udeb_1.0.56_all.udeb
Checksums-Sha256: 
 2b64ab19e1daee05190e8cef9e65be9536da185494eec437000869066b7b4393 1798 debootstrap_1.0.56.dsc
 14b40be6cc807a2013ed05105325638bd56643cd289dfa91321d9d1d7a393e7b 59501 debootstrap_1.0.56.tar.gz
 59d20341e52b7628007faef9956a6d0068eaccac34f553ba9ffa747078b82488 55980 debootstrap_1.0.56_all.deb
 f8919d215c9887c89fd615c75adda353af046bb643dce06f7bf17299452e082e 18050 debootstrap-udeb_1.0.56_all.udeb
Files: 
 e9e6a691b20c90dea8b05dd3dd99f46f 1798 admin extra debootstrap_1.0.56.dsc
 203ce565ff6608c8027ac4236bbba316 59501 admin extra debootstrap_1.0.56.tar.gz
 7c2e39ed2583f62a1f9afcf6143ac584 55980 admin extra debootstrap_1.0.56_all.deb
 d40d49488b15f52405f5ae3795a0f060 18050 debian-installer extra debootstrap-udeb_1.0.56_all.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUsEa7ocvcCxNbiWoAQJu2xAAkPx9OWXDuZwi5tEDdu3txW66vKgiTWJC
QThGe+xQKf5YNIFJKMS8D7GqqaB+Tf90Zy6YLq5VvbhbHmMgNPkMuOWw5obFO7/D
pOHlbL+1HF6U3RiEO3KurvnKSoWFxB0bBE1lxTYrNWJrBVxePSAwK+c3ApfSDo/6
ekoR+3WQ3JUmFBurauXadD6/dlm1J5zhJSj86kSsyC/gzQ6PLejgHItJnfznBWfw
Qj0mCi2S84Yg+Mfh6TqDl5ZzR6KQO8XIZp6wJKrvOsf/lSHLg/tWiTHgpZfzacwK
rI35kZqdSaPJJbV33OoKKaSrzWrlGzpQ1FRA+OKAkNcwyVwBdKFYd//0I1kO9CV9
cqF9mgG1hb5nk61E5gvql2fXtszIwtZOxQO0cDZ04tpFAVJ5/SuGbg7bnbkmAqQ2
EoRJw3rzBwCWWvXMnMPl6AKNqtH8TIoWTtwuVyZZ3Vn5ijct4mz9KN5z+POpGIN0
3tedfzgjzn0gw7T8NVB7dYEjGXLpAvHn9EtJWjG42v9jxklVYYo1IryZP9MX4tuR
Mqu0pvh0tc8hkooiRVMrtMa+tjYDWden6cCgia3y+e5ulaF5W+SneiVwTzVl50qW
Cfn0o7Zi+1hUfjvcCTRk0FdBK/1yVG+VIAFonCgGwlRyGsbBf/EkBlWF4akNO0A2
XOMBlJvqyZA=
=h5F3
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Jan 2014 07:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:40:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.